CritterPropType (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.grouping.prop.CritterPropType class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.grouping.prop
Class CritterPropType

    java.lang.Object
      org.hyperic.util.HypericEnum
          org.hyperic.hq.grouping.prop.CritterPropType

All Implemented Interfaces:
  java.io.Serializable, JSON

    public final class CritterPropType

extends HypericEnum

This enumeration defines all of the datatypes that are possible to use via `Critter`s. Any UI must be able to interact with (render, set, etc.) all values defined.

See Also:
  Serialized Form

Field Summary
`static CritterPropType` | `DATE`
`static CritterPropType` | `ENUM`
`static CritterPropType` | `GROUP`
`static CritterPropType` | `PROTO`
`static CritterPropType` | `RESOURCE`
`static CritterPropType` | `STRING`
`static CritterPropType` | `SUBJECT`

Constructor Summary
`protected` | `CritterPropType(int code, java.lang.String desc, java.lang.String localeProp)`

Method Summary
`static CritterPropType` | `findByCode(int code)`

Methods inherited from class org.hyperic.util.HypericEnum
`findByCode, findByDescription, getAll, getByCode, getCode, getDescription, getJsonName, getValue, toJSON, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### STRING

    public static CritterPropType STRING

### DATE

    public static CritterPropType DATE

### ENUM

    public static CritterPropType ENUM

### RESOURCE

    public static CritterPropType RESOURCE

### PROTO

    public static CritterPropType PROTO

### GROUP

    public static CritterPropType GROUP

### SUBJECT

    public static CritterPropType SUBJECT

Constructor Detail

### CritterPropType

    protected CritterPropType(int code,
                              java.lang.String desc,
                              java.lang.String localeProp)

Method Detail

### findByCode

    public static CritterPropType findByCode(int code)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.